Name:		meld
Version:	1.2.1
Release:	3.2.moblin2
Summary:	Visual diff and merge tool

Group:		Development/Tools
License:	GPLv2+
URL:		http://meld.sourceforge.net/
Source0:	http://ftp.gnome.org/pub/gnome/sources/meld/1.1/meld-%{version}.tar.bz2
Patch1:		%{name}-scrollkeeper.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	scrollkeeper
BuildRequires:	perl(XML::Parser)
BuildRequires:  python

Requires:	gnome-python2-gnome
Requires:	gnome-python2-canvas
Requires:	gnome-python2-gconf
Requires:	gnome-python2-gtksourceview
Requires:	pygtk2 >= 2.8.0
Requires:	pygtk2-libglade

Requires(post):	scrollkeeper
Requires(postun): scrollkeeper

BuildArch:	noarch

%description
Meld is a GNOME 2 visual diff and merge tool. It integrates especially well
with CVS. The diff viewer lets you edit files in place (diffs update
dynamically), and a middle column shows detailed changes and allows merges. The
margins show location of changes for easy navigation, and it also features a
tabbed interface that allows you to open many diffs at once.


%prep
%setup -q
%patch1 -p1 -b .scrollkeeper


%build
make prefix=%{_prefix} libdir=%{_datadir}


%install
rm -rf ${RPM_BUILD_ROOT}

make prefix=%{_prefix} libdir=%{_datadir} \
  DESTDIR=${RPM_BUILD_ROOT} install


desktop-file-install --vendor fedora                    \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --delete-original                                     \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :


%postun
scrollkeeper-update -q || :


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/application-registry/%{name}*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/


%changelog
